sha1.h File Reference
`#include "defs.h"`

Go to the source code of this file.

## Data Structures

struct | SHA1_CTX

## Macros

#define | SHA1_BLOCK_LENGTH 64
#define | SHA1_DIGEST_LENGTH 20
#define | SHA1_DIGEST_STRING_LENGTH (SHA1_DIGEST_LENGTH * 2 + 1)

## Functions

void SHA1_Transform | _ ((uint32_t state[5], const uint8_t buffer[64]))
void SHA1_Init | _ ((SHA1_CTX *context))
void SHA1_Update | _ ((SHA1_CTX *context, const uint8_t *data, size_t len))
void SHA1_Finish | _ ((SHA1_CTX *context, uint8_t digest[20]))

## Macro Definition Documentation

#define SHA1_BLOCK_LENGTH 64

Definition at line 35 of file sha1.h.

#define SHA1_DIGEST_LENGTH 20

Definition at line 36 of file sha1.h.

#define SHA1_DIGEST_STRING_LENGTH (SHA1_DIGEST_LENGTH * 2 + 1)

Definition at line 37 of file sha1.h.

## Function Documentation

void SHA1_Transform _ | ( | (uint32_t state[5], const uint8_t buffer[64]) |  | ) |

void SHA1_Init _ | ( | (SHA1_CTX *context) |  | ) |

void SHA1_Update _ | ( | (SHA1_CTX *context, const uint8_t *data, size_t len) |  | ) |

void SHA1_Finish _ | ( | (SHA1_CTX *context, uint8_t digest[20]) |  | ) |